Bug 178945 - rollout effect for dialog boxes
Summary: rollout effect for dialog boxes
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Unspecified
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-28 09:18 UTC by Ruchir Brahmbhatt
Modified: 2009-04-21 19:54 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ruchir Brahmbhatt 2008-12-28 09:18:40 UTC
Version:            (using Devel)
Installed from:    Compiled sources

It'll be really nice to add mac osx like rollout effect for dialog boxes in kwin.

Reference: http://www.youtube.com/watch?v=7TcQfkMvmUI&eurl=http://smspillaz.wordpress.com/2008/12/23/they-say-when-you-start-something/&feature=player_embedded
Comment 1 Ruchir Brahmbhatt 2009-02-02 11:15:11 UTC
Anyone interested? 
Comment 2 Martin Flöser 2009-02-02 11:38:42 UTC
(In reply to comment #1)
> Anyone interested? 
> 
Such an effect should be easy to implement. If you want to try it we can guide you. It just needs to rotate a window. We have API calls for that, so you do not have to mess with OpenGL commands at all.
Comment 3 Ruchir Brahmbhatt 2009-02-02 11:42:28 UTC
I would like to try it if you can provide guidance for implementation.
Comment 4 Martin Flöser 2009-02-17 22:13:06 UTC
SVN commit 927566 by graesslin:

Add new "sheet" effect based on fade. This effect animates appearing and disappearing of modal dialogs. Inspired by a Compiz Fusion effect (http://smspillaz.wordpress.com/2008/12/23/they-say-when-you-start-something/) and seems to be a Mac OS X animation as well.
FEATURE: 178945


 M  +1 -0      CMakeLists.txt  
 A             sheet (directory)  
 A             sheet/CMakeLists.txt  
 A             sheet/sheet.cpp   [License: GPL (v2+)]
 AM            sheet/sheet.desktop  
 A             sheet/sheet.h   [License: GPL (v2+)]


WebSVN link: http://websvn.kde.org/?view=rev&revision=927566
Comment 5 Ruchir Brahmbhatt 2009-04-21 19:42:30 UTC
I tested this effect and looks good. But I think there's scope of improvement. Can it be made to look like windows are coming out of title bar(like in mac)? Also I noticed that some unwanted windows also experience this effect for example progress bar of starting akonadi.
Comment 6 Martin Flöser 2009-04-21 19:54:56 UTC
(In reply to comment #5)
> I tested this effect and looks good. But I think there's scope of improvement.
> Can it be made to look like windows are coming out of title bar(like in mac)?
Actually that's how it should work. A modal dialog starts from the title bar of parent window.
> Also I noticed that some unwanted windows also experience this effect for
> example progress bar of starting akonadi.
very difficult. The effect looks for modal dialogs and it has to include modal dialogs which do not have a parent window as it would crash otherwise (example you have a "do you want to quit application" dialog. If you click on the button the parent window is destroyed at the same time -> crash). We seem not to have enough window types so it's currently most probably a can't fix :-(